 <header role="banner">
      <nav class="anchor-nav" role="navigation">
        <a href="#section-0" id="anchor0">Section 0</a
        ><a href="#section-1" id="anchor1">Section 1</a
        ><a href="#section-2" id="anchor2">Section 2</a
        ><a href="#section-3" id="anchor3">Section 3</a
        ><a href="#section-4" id="anchor4">Section 4</a
        ><a href="#section-5" id="anchor5">Section 5</a
        ><a href="#section-6" id="anchor6">Section 6</a
        ><a href="#section-7" id="anchor7">Section 7</a
        ><a href="#section-8" id="anchor8">Section 8</a
        ><a href="#section-9" id="anchor9">Section 9</a>
      </nav>
    </header>

    <div id="intro">
      <h1>INTRO</h1>
    </div>

    <div class="wrapper" id="js-wrapper">
      <div class="sections" id="slideContainer">
        <section id="section-0" class="section">
          <span class="sectionTitle" id="title0">Section 0</span>
        </section>
        <section id="section-1" class="section">
          <span class="sectionTitle" id="title1">Section 1</span>
        </section>
        <section id="section-2" class="section">
          <span class="sectionTitle" id="title2">Section 2</span>
        </section>
        <section id="section-3" class="section">
          <span class="sectionTitle" id="title3">Section 3</span>
        </section>
        <section id="section-4" class="section">
          <span class="sectionTitle" id="title4">Section 4</span>
        </section>
        <section id="section-5" class="section">
          <span class="sectionTitle" id="title5">Section 5</span>
        </section>
        <section id="section-6" class="section">
          <span class="sectionTitle" id="title6">Section 6</span>
        </section>
        <section id="section-7" class="section">
          <span class="sectionTitle" id="title7">Section 7</span>
        </section>
        <section id="section-8" class="section">
          <span class="sectionTitle" id="title8">Section 8</span>
        </section>
        <section id="section-9" class="section">
          <span class="sectionTitle" id="title9">Section 9</span>
        </section>
      </div>
    </div>

    <div id="intro">
      <h1>INTRO</h1>
    </div>


    css


    * {
        box-sizing: border-box;
      }
      
      body {
        font-family: "Roboto", sans-serif;
        background-color: grey;
      }
      
      body,
      html {
        padding: 0;
        margin: 0;
      }
      
      header {
        position: fixed;
        top: 10px;
        left: 10px;
        z-index: 2;
      }
      
      #intro {
        width: 100%;
        height: 100vh;
        background-color: green;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      
      .wrapper {
        width: 100%;
        height: 100vh;
        overflow: hidden;
      }
      
      .sections {
        height: 100%;
        width: 1000vw;
      }
      
      .sectionTitle {
        font-size: 30px;
        color: #fff;
      }
      .section {
        height: 100vh;
        width: 100vw;
        float: left;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      
      .section:nth-child(even) {
        background: #262626;
      }
      .section:nth-child(odd) {
        background: #22a7f0;
      }

      
js


$(document).ready(function () {
    console.clear();
    // var controller = new ScrollMagic.Controller();
    var controller = new ScrollMagic.Controller();
    var tl = new TimelineMax();
  
    var ww = window.innerWidth;
  
    var noSlides = $(".section").length;
    var slideWidth = $(".section").width();
    var slideContainerWidth = slideWidth * noSlides - ww;
  
    console.log(noSlides, slideContainerWidth);
  
    var actionHorizontal = new TimelineMax().to("#slideContainer", 1, {
      x: -slideContainerWidth,
    });
  
    var horizontal = createHorizontal();
  
    function createHorizontal() {
      return new ScrollMagic.Scene({
        triggerElement: "#js-wrapper",
        triggerHook: "onLeave",
        duration: slideContainerWidth,
      })
        .setPin("#js-wrapper")
        .setTween(actionHorizontal)
        .addIndicators({
          colorTrigger: "white",
          colorStart: "white",
          colorEnd: "white",
        })
        .addTo(controller);
    }
  
    controller.scrollTo(function (newpos) {
      //TweenMax.to(window, 1, { scrollTo: { x: newpos } });
      TweenMax.to(window, 1, {
        scrollTo: {
          y: newpos,
          autoKill: true,
        },
        ease: Power3.easeOut,
      });
    });
  
    $(window).resize(function () {
      ww = window.innerWidth;
      slideContainerWidth = slideWidth * noSlides - ww;
      horizontal.destroy(true);
      horizontal = createHorizontal();
      console.log(ww, slideContainerWidth);
    });
  
    $(document).on("click", "a[href^='#']", function (e) {
      var id = $(this).attr("href");
      $targetPos = $(id).offset().top;
      $targetPos += $(id).offset().left - window.innerWidth / 2;
      if ($(id).length > 0) {
        console.log($(id));
        e.preventDefault();
        // trigger scroll
        controller.scrollTo($targetPos);
  
       
      }
    });
  });
  